jQuery(document).ready(function($) {

/*------------------------------------------------
                PRELOADER
------------------------------------------------*/

 $('#loader').fadeOut();
 $('#loader-container').fadeOut();

/*------------------------------------------------
                STICKY HEADER AND MENU TOGGLE
------------------------------------------------*/
$(window).scroll(function() {
    if ($(this).scrollTop() > 1){  
        $('.sticky').addClass("nav-shrink");
    }
    else{
        $('.sticky').removeClass("nav-shrink");
    }
        
    $('.search-results article:not( .hentry )').addClass( 'hentry' );
});
    

$('.menu-toggle').click(function() {
    $('.nav-menu').slideToggle();
});

// Add dropdown toggle that displays child menu items.
var dropdownToggle = $( '<button />', { 'class': 'dropdown-toggle', 'aria-expanded': false });

$('.main-navigation').find( '.menu-item-has-children > a, .page_item_has_children > a' ).after( dropdownToggle );

$('.main-navigation button.dropdown-toggle').click(function() {
   $(this).toggleClass('active');
  $(this).parent().find('.sub-menu').first().slideToggle();
});

/*------------------------------------------------
                SEARCH
------------------------------------------------*/

$('.main-navigation #search-btn').click(function() {   
    $('.main-navigation li').fadeOut();
    $('.main-navigation #search').fadeIn();
    $('#search input.search-field').focus();

});

$('.main-navigation .close-search').click(function() {   
    $('.main-navigation li').fadeIn();
    $('#search').fadeOut();
});

$('.cart-images li a').click(function(){
    $('.cart-images li').removeClass('active');
    $(this).parent().addClass('active');
})

/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

 $(window).scroll(function(){
    if ($(this).scrollTop() > 1) {
    $('.backtotop').fadeIn();
    } else {
    $('.backtotop').fadeOut();
    }
    });
    $('.backtotop').click(function(){
    $('html, body').animate({scrollTop: '0px'}, 800);
    return false;
});

/*------------------------------------------------
                END BACK TO TOP
------------------------------------------------*/

/*------------------------------------------------
                SLICK SLIDER
------------------------------------------------*/

var $ease = $('#main-slider').data('effect');

$("#main-slider").slick({
    cssEase: $ease
});

$(".regular").slick();

$(".shop-slider").slick();

$(".recipe-slider").slick();

$("#ingredients .entry-content").slick({
    responsive: [
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 4,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 992,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]
});

$(".gallery-slider").slick();

$("#slideshow .team-slider").slick();

$("#slideshow .slick-prev").insertBefore('#slideshow .slick-dots');
$("#slideshow .slick-next").insertAfter('#slideshow .slick-dots');

$("#slideshow .slick-dots").insertBefore('#slideshow .team-slider');

$('#our-team .featured-image').click(function() {
   $('#our-team .column-wrapper').hide();
   $('#slideshow').show();
   $("#slideshow .team-slider").slick('setPosition');

   var section = $('#our-team');

   $('html,body').animate({
       scrollTop: $(section).offset().top - 100},
   '800');
});

$('.close-slideshow').click(function() {
    $('#slideshow').hide();
    $('#our-team .column-wrapper').show();
});

$(document).keyup(function(e) {
    if (e.keyCode === 27) {
      $('#slideshow').hide();
      $('#our-team .column-wrapper').show();
    }
});

var teamslide1 = $('#our-team .featured-image:nth-child(1)');
var teamslide2 = $('#our-team .featured-image:nth-child(2)');
var teamslide3 = $('#our-team .featured-image:nth-child(3)');
var teamslide4 = $('#our-team .featured-image:nth-child(4)');
var teamslide5 = $('#our-team .featured-image:nth-child(5)');

teamslide1.click(function() {
    $("#slideshow .team-slider .slider-item").removeClass('slick-active');
    $("#slideshow .team-slider .slider-item").removeClass('slick-current');
    $("#slideshow .team-slider .slider-item").css({'opacity':'0'});

    $("#slideshow .team-slider .slider-item:nth-child(1)").addClass('slick-active');
    $("#slideshow .team-slider .slider-item:nth-child(1)").addClass('slick-current');
    $("#slideshow .team-slider .slider-item.slick-current").css({'opacity':'1'});

});

teamslide2.click(function() {
    $("#slideshow .team-slider .slider-item").removeClass('slick-active');
    $("#slideshow .team-slider .slider-item").removeClass('slick-current');
    $("#slideshow .team-slider .slider-item").css({'opacity':'0'});

    $("#slideshow .team-slider .slider-item:nth-child(2)").addClass('slick-active');
    $("#slideshow .team-slider .slider-item:nth-child(2)").addClass('slick-current');
    $("#slideshow .team-slider .slider-item.slick-current").css({'opacity':'1'});

});

teamslide3.click(function() {
    $("#slideshow .team-slider .slider-item").removeClass('slick-active');
    $("#slideshow .team-slider .slider-item").removeClass('slick-current');
    $("#slideshow .team-slider .slider-item").css({'opacity':'0'});

    $("#slideshow .team-slider .slider-item:nth-child(3)").addClass('slick-active');
    $("#slideshow .team-slider .slider-item:nth-child(3)").addClass('slick-current');
    $("#slideshow .team-slider .slider-item.slick-current").css({'opacity':'1'});
});

teamslide4.click(function() {
    $("#slideshow .team-slider .slider-item").removeClass('slick-active');
    $("#slideshow .team-slider .slider-item").removeClass('slick-current');
    $("#slideshow .team-slider .slider-item").css({'opacity':'0'});

    $("#slideshow .team-slider .slider-item:nth-child(4)").addClass('slick-active');
    $("#slideshow .team-slider .slider-item:nth-child(4)").addClass('slick-current');
    $("#slideshow .team-slider .slider-item.slick-current").css({'opacity':'1'});
});

teamslide5.click(function() {
    $("#slideshow .team-slider .slider-item").removeClass('slick-active');
    $("#slideshow .team-slider .slider-item").removeClass('slick-current');
    $("#slideshow .team-slider .slider-item").css({'opacity':'0'});

    $("#slideshow .team-slider .slider-item:nth-child(5)").addClass('slick-active');
    $("#slideshow .team-slider .slider-item:nth-child(5)").addClass('slick-current');
    $("#slideshow .team-slider .slider-item.slick-current").css({'opacity':'1'});
});

/*------------------------------------------------
                SLIDER AND HEADER IMAGE DISABLED
------------------------------------------------*/
if( $('body.home.page section').hasClass('main-featured-slider') ) {
    $('body.home.page').addClass('slider-enabled');
}

else {
    $('body.home.page').addClass('slider-disabled');
}

/*------------------------------------------------
                    PARALLAX   
------------------------------------------------*/
$.stellar({
    horizontalScrolling: false,
    verticalOffset: 3000
});

/*------------------------------------------------
                MAGNIFIC POPUP
------------------------------------------------*/

$('.gallery-popup').magnificPopup( {
    delegate:'.popup', type:'image', tLoading:'Loading image #%curr%...', 
    gallery: {
        enabled: true, navigateByImgClick: true, preload: [0, 1]
    }
    , image: {
        tError:'<a href="%url%">The image #%curr%</a> could not be loaded.', titleSrc:function(item) {
            return item.el.attr('title');
        }
    }
});

/*------------------------------------------------
              TABS
------------------------------------------------*/

$(".nav-tabs li a").click(function(event) {
    event.preventDefault();
    $(this).parent().addClass("active");
    $(this).parent().siblings().removeClass("active");
    var tab = $(this).attr("href");
    $(".tab-pane").not(tab).css("display", "none");
    $(tab).fadeIn();
});

/*------------------------------------------------
              PORTFOLIO   
------------------------------------------------*/
var $container = $('.portfolio'),
    colWidth = function () {
        var w = $container.width(), 
            columnNum = 1,
            columnWidth = 0;
        if (w > 1200) {
            columnNum  = 3;
        } 
        else if (w > 767) {
            columnNum  = 3;
        } 
        else if (w > 600) {
            columnNum  = 2;
        } 
        else if (w > 300) {
            columnNum  = 1;
        }
        columnWidth = Math.floor(w/columnNum);
        $container.find('.portfolio-item').each(function() {
            var $item = $(this),
                multiplier_w = $item.attr('class').match(/item-w(\d)/),
                multiplier_h = $item.attr('class').match(/item-h(\d)/),
                width = multiplier_w ? columnWidth*multiplier_w[1]-0 : columnWidth-5,
                height = multiplier_h ? columnWidth*multiplier_h[1]*1-5 : columnWidth*0.5-5;
            $item.css({
                width: width,
                height: height
            });
        });
        return columnWidth;
    }
                
    function refreshWaypoints() {
        setTimeout(function() {
        }, 1000);   
    }
                
    $('nav.portfolio-filter ul a').on('click', function() {
        var selector = $(this).attr('data-filter');
        $container.isotope({ filter: selector }, refreshWaypoints());
        $('nav.portfolio-filter ul a').removeClass('active');
        $(this).addClass('active');
        return false;
    });
        
    function setPortfolio() { 
        setColumns();
        $container.isotope('reLayout');
    }

    isotope = function () {
        $container.isotope({
            resizable: true,
            itemSelector: '.portfolio-item',
  layoutMode : 'masonry',
  gutter: 0,
            masonry: {
                columnWidth: colWidth(),
                gutterWidth: 10
            }
        });
    };
isotope();

/*--------------------------------------------------------
                SHOP CATEGORY
----------------------------------------------------------*/

$('.cart-images ul li.shop-sale-cat a').click( function(e) {
    e.preventDefault();
    var currentCategory = '.' + $(this).data('slug');
    $('#shop-sale-slide .shop-slider').slick('slickUnfilter');
    $('#shop-sale-slide .shop-slider').slick('slickFilter', currentCategory);
});

if( $('.site-footer .column-wrapper:nth-child(2) section').hasClass('wpgmza_widget') ) { 
    $('.site-footer').addClass('larger-map'); 
}

/*--------------------------------------------------------
                CONTACT FORM DISABLED
----------------------------------------------------------*/

if ( $('#contact-form .contact-form-wrapper').children().hasClass('wpcf7') ) {
    $('#contact-form').addClass('form-enabled');
}
else { 
    $('#contact-form').addClass('form-disabled');
}

/*------------------------------------------------
            END JQUERY
------------------------------------------------*/
});