<?php
/**
 * Customizer Partial Functions
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

if ( ! function_exists( 'yummy_pro_special_item_header_title' ) ) :
	// Special Item Header Title
	function yummy_pro_special_item_header_title() {
		$options = yummy_pro_get_theme_options();
		return esc_html( $options['special_item_header_title'] );
	}
endif;

if ( ! function_exists( 'yummy_pro_call_to_action_title' ) ) :
	// call to action Header Title
	function yummy_pro_call_to_action_title() {
		$options = yummy_pro_get_theme_options();
		return esc_html( $options['call_to_action_title'] );
	}
endif;

if ( ! function_exists( 'yummy_pro_call_to_action_btn_label' ) ) :
	// call to action Header Title
	function yummy_pro_call_to_action_btn_label() {
		$options = yummy_pro_get_theme_options();
		return esc_html( $options['call_to_action_btn_label'] );
	}
endif;

if ( ! function_exists( 'yummy_pro_call_to_action_page_btn_label' ) ) :
	// call to action Header Title
	function yummy_pro_call_to_action_page_btn_label() {
		$options = yummy_pro_get_theme_options();
		return esc_html( $options['call_to_action_page_btn_label'] );
	}
endif;

if ( ! function_exists( 'yummy_pro_item_menu_title' ) ) :
	// item menu Header Title
	function yummy_pro_item_menu_title() {
		$options = yummy_pro_get_theme_options();
		return esc_html( $options['item_menu_title'] );
	}
endif;
